Subject: Re: linux-next: build warnings after merge of the drivers-x86 tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Fri, 25 Mar 2022 07:18:22 +0100

Em Fri, 25 Mar 2022 06:27:35 +0100
Mauro Carvalho Chehab <[email-masked]> escreveu:

> Em Fri, 25 Mar 2022 08:55:22 +1100
> Stephen Rothwell <[email-masked]> escreveu:
> 
> > Hi Hans,
> > 
> > On Thu, 24 Mar 2022 14:04:28 +0100 Hans de Goede <[email-masked]> wrote:  
> > >
> > > So I did some digging and the trick for reproducing any ABI
> > > related warnings is to touch the .rst file which has the
> > > "kernel-abi" reST directive (1) for the ABI subdir you want
> > > to regenerate the ABI docs for.
> > > 
> > > So in this case I did:
> > > 
> > > touch Documentation/admin-guide/abi-testing.rst
> > > make htmldocs &> log    
> > 
> > Looks like missing dependencies :-(  
> 
> Not sure if are there a way to fix this. See, Sphinx doesn't use Makefile 
> dependencies, but, instead, it checks if the .rst file has changed or not.
> So, those tags that include contents from non-rst files, like the ABI ones
> and kernel-doc tags, are not considered by Sphinx when detecting the need
> to re-parse the .rst files that contain such tags.

It sounds that dependencies could added inside an extension using:

	env.note_dependency()

kerneldoc.py already uses it. I'll try to add it also to the other
extensions there.

Thanks,
Mauro